---
# Only the main Sass file needs front matter (the dashes are enough)
---
@charset "utf-8";

$base-font-family: Helvetica, Arial, sans-serif;
$base-font-size:   16px;
$print-font-size:  12px;
$small-font-size:  $base-font-size * 0.875;
$base-line-height: 1.5;
$print-line-height: 1.2;

{% assign title_len = site.course_title | size %}
{% if 20 < title_len %}
$front-title-scale: 2.6;
{% else %}
$front-title-scale: 2;
{% endif %}

$spacing-unit:     30px;
{% if site.construction or page.construction or site.archived %}
$header-top: 3.5em;
$page-top-wide: 7em;
$scroll-top-wide: 8em;
$title-top-wide: 2.75em;
$toc-top-wide: 11.5em;

$page-top-vertical: 9.5em;
$scroll-top-vertical: 10em;
$title-top-vertical: 4.25em;

$header-top-narrow: 4.5em;
{% else %}
$header-top: 0;
$page-top-wide: 3em;
$scroll-top-wide: 4.5em;
$title-top-wide: 1.5em;
$toc-top-wide: 7.5em;

$page-top-vertical: 6em;
$scroll-top-vertical: 6.5;
$title-top-vertical: 3em;

$header-top-narrow: 0;
{% endif %}

$scroll-top-narrow: $header-top;

$text-color:       #111;
$background-color: #fdfdfd;
$brand-color:      #27e;
$brand-color-light: lighten($brand-color, 35%);
$brand-color-dark: darken($brand-color, 35%);

$grey-color:       #666;
$grey-color-light: #f2f2f2;
$grey-color-dark:  #444;
$gray-color:       $grey-color;
$gray-color-light: $grey-color-light;
$gray-color-dark:  $grey-color-dark;

$site-color:       {{ site.color }};
$site-color-light: {% if site.color_light %}{{site.color_light}}{% else %}lighten($site-color, 45%){% endif %};
$site-color-dark:  darken($site-color, 25%);

$green-color: #383;
$green-background: #dfd;

$purple-color: #428;
$purple-background: #edf;

$orange-color: #d70;
$orange-background: #fed;

$red-color: #833;
$red-background: #fdd;

$blue-color: #27e;
$blue-background: #def;

$yellow-color: #eebb00;
$yellow-background: #ffd;

// Max screen sizes
$width-max: 1600px;
$width-vertical: 1000px;
$width-narrow: 800px;

$semester: "{{site.semester}}";

// Import partials from `sass_dir` (defaults to `_sass`)
@import
        "base",
        "layout",
        "syntax-highlighting",
        "calendar"
;
